<?php
ini_set('date.timezone', 'PRC');
ini_set('default_charset', 'gbk');
define('IN_CHARSET', 'gbk');
define('IN_API', '');
define('IN_SECRET', '');
function destroyDir($dir){
        $ds = DIRECTORY_SEPARATOR;
        $dir = substr($dir, -1) == $ds ? substr($dir, 0, -1) : $dir;
        if(is_dir($dir) && $handle = opendir($dir)){
                while($file = readdir($handle)){
                        if($file == '.' || $file == '..'){
                                continue;
                        }elseif(is_dir($dir.$ds.$file)){
                                destroyDir($dir.$ds.$file);
                        }else{
                                unlink($dir.$ds.$file);
                        }
                }
                closedir($handle);
                rmdir($dir);
        }
}
function callback($resource){
        $info = curl_getinfo($resource);
        echo '<script type="text/javascript">setupload('.$info['size_upload'].', '.$info['upload_content_length'].');</script>';
        ob_flush();
        flush();
}
?>